uses crt;
const
 max_Char=153;
 File_Predlog_Max_aliment=100;
 file_hi_max_aliment=10;
type
 file_predlog=array[1..File_Predlog_Max_aliment,1..4] of string[max_Char];
 file_Hi=array[1..10] of string[100];
var
 F:file of file_predlog;
 f1:file of file_hi;
 file_predlog_text:file_predlog;
 mas_file_Hi:file_hi;
 key:char;
 i,j,err,temp,index_file:integer;
 vvod,vvod1:string[max_Char];


procedure save_file;
begin
 if index_file=1 then
 begin
  assign(f,'C:\bp\bin\vsys\Slova.ini');
  rewrite(f);
  write(f,file_predlog_text);
  close(f);
 end;
 if index_file=2 then
 begin
  assign(f1,'C:\bp\bin\vsys\hi.ini');
  rewrite(f1);
  write(f1,mas_file_Hi);
  close(f1);
 end;

end;

procedure Open_all;
begin
 clrscr;
 if index_file=1 then
 begin
  for i:= 1 to File_Predlog_Max_aliment do
  begin
   for j:= 1 to 4 do
   begin
     textColor(3);
     write(i,' ',j,' элимент: ');
     if file_predlog_text[i,j]<>'' then write(file_predlog_text[i,j])
     else
     begin
       textColor(13);
       write('√ элемент отсутствует');
     end;
     writeln;
     key:=readkey;
     textColor(11);
     if j=4 then writeln('---------- следующий ----------');
     if (key='Q') or (key='q') then exit;
   end;
  end;
 end;
 if index_file=2 then
 begin
  for i:= 1 to file_hi_max_aliment do
  begin
   write(i, ' элимент: ');
   if mas_file_hi[i]<>'' then write(mas_file_hi[i])
   else
   begin
     textColor(13);
     write('√ элемент отсутствует');
   end;
   writeln;
   key:=readkey;

   read;
   textColor(11);
   if j=4 then writeln('---------- следующий ----------');
   if (key='Q') or (key='q') then exit;
  end;
 end;
end;

procedure save;
begin
 clrscr;
 if index_file=1 then
 begin
  writeln('Какого номера начинать? (По умолчанию - 1)');
  readln(vvod);
  if (vvod='') then vvod:='1';
  val(vvod,temp,err);
  for i:= temp to File_Predlog_Max_aliment do
  begin
    for j:= 1 to 4 do
    begin
      save_file;
      clrscr;
      TextColor(14);
      writeln('вы на ',i,' ',j,'| 1.1. - заголовок. А все остальные варианты ответа пример: 1.2 и т.д.');
      writeln;
      textcolor(4);
      writeln('Чтобы сохранить изминения не завершая до конца базу нажмите "S".');
      writeln;
      TextColor(10);
      writeln('Описывайте:');
      writeln;
      textColor(12);
      readln(vvod);
      if (vvod='S') or (vvod='s') then
      begin
        save_file;
        exit;
      end
      else file_predlog_text[i,j]:=vvod;
    end;
  end;
 end;
 if index_file=2 then
 begin
  writeln('Какого номера начинать? (По умолчанию - 1)');
  readln(vvod);
  if (vvod='') then vvod:='1';
  val(vvod,temp,err);
  for i:= temp to file_hi_max_aliment do
  begin
    save_file;
    clrscr;
    TextColor(14);
    writeln('вы на ',i,'| Вводите приветсвия');
    writeln;
    textcolor(4);
    writeln('Чтобы сохранить изминения не завершая до конца базу нажмите "S".');
    writeln;
    TextColor(10);
    writeln('Описывайте:');
    writeln;
    textColor(12);
    readln(vvod);
    if (vvod='S') or (vvod='s') then
    begin
      save_file;
      exit;
    end
    else mas_file_hi[i]:=vvod;
  end;
 end;
 save_file;
end;

procedure open_aliment;
begin
 clrscr;
 if index_file=1 then
 begin
  writeln('Введи элимент (пример 1 (enter) 1)');
  readln(vvod);
  readln(vvod1);
  val(vvod,i,err); val(vvod1,j,err);
  writeln('Вывод: ',file_predlog_text[i,j]);
 end;
 if index_file=2 then
 begin
  writeln('Введи элимент (пример 1 (enter))');
  readln(vvod);
  val(vvod,i,err);
  writeln('Вывод: ',mas_file_hi[i]);
 end;
 readln;

end;

procedure Delete_aliment;
begin
 clrscr;
 if index_file = 1 then
 begin
  writeln('Kакой элимент удалить?');
  readln(vvod);
  readln(vvod1);
  val(vvod,i,err); val(vvod1,j,err);
  file_predlog_text[i,j]:='';
 end;
 if index_file = 2 then
 begin
  writeln('Kакой элимент удалить?');
  readln(vvod);
  val(vvod,i,err);
  mas_file_hi[i]:='';
 end;

end;

procedure file_next;
begin
  clrscr;
  TextColor(2); write('1.'); TextColor(14); writeln(' База со словами');
  TextColor(2); write('2.'); TextColor(14); writeln(' База с приветсвиями');
  write(': ');read(key);
  if key='1' then
  begin
   index_file:=1;
  end;
  if key='2' then
  begin
   index_file:=2;
  end;

end;

{основная программа}
begin
  index_file:=1;

  assign(f,'C:\bp\bin\vsys\Slova.ini');
  reset(f);
  read(f,file_predlog_text);
  close(f);

  assign(f1,'C:\bp\bin\vsys\hi.ini');
  reset(f1);
  read(f1,mas_file_hi);
  close(f1);

  repeat
   clrscr;
    TextColor(10); writeln('Редактор для VDV,       Версия редактора 1.3');
    writeln;
    TextColor(2); write('1.'); TextColor(14); writeln(' Показать все элементы');
    TextColor(2); write('2.'); TextColor(14); writeln(' Удалить элемент');
    TextColor(2); write('3.'); TextColor(14); writeln(' Показать элемент');
    TextColor(2); write('4.'); TextColor(14); writeln(' Описать все элементы');
    TextColor(2); write('5.'); TextColor(14); writeln(' Выбери файл');
    writeln;
    TextColor(2); write('Q.'); TextColor(14); write(' Выход');
    writeln;
    write(': '); readln(key);

    if key='1' then
    begin
      Open_all;
    end;
    if key='2' then
    begin
      delete_aliment;
    end;
    if key='3' then
    begin
      Open_aliment;
    end;
    if key='4' then
    begin
      save;
    end;
    if key='5' then
    begin
      File_next;
    end;

  until key in ['Q','q'];
end.
